### Method

# Cogl Primitive get_n_vertices

#### Declaration [src]

    int
    cogl_primitive_get_n_vertices (
      CoglPrimitive* primitive
    )

#### Description [src]

Queries the number of vertices to read when drawing the given `primitive`. Usually this value is implicitly set when associating vertex data or indices with a `CoglPrimitive`.

If `cogl_primitive_set_indices()` has been used to associate a sequence of `CoglIndices` with the given `primitive` then the number of vertices to read can also be phrased as the number of indices to read.

To be clear; it doesn’t refer to the number of vertices - in terms of data - associated with the primitive it’s just the number of vertices to read and draw.

#### Return value

Type: `int`

The number of vertices to read when drawing.